com.verisign.epp.framework.validate.v02

## Class EPPValidateHandler

- java.lang.Object
- - com.verisign.epp.framework.validate.v02.EPPValidateHandler

- All Implemented Interfaces:
    EPPEventHandler
  Direct Known Subclasses:
    ValidateHandler

      public abstract class EPPValidateHandler
      extends java.lang.Object
      implements EPPEventHandler

  The `EPPValidateHandler` class provides an interface for handling Validate Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPValidateHandler` should be registered with the `EPPDispatcher` so that EPPEvents related to the Mapping will be handled there.
  See Also:
    `EPPEventHandler`, `EPPEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidateHandler()` Whenever an EPPDomainVerificationCodeHandler instance is created load the corresponding Map Factory into the Codec

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract EPPEventResponse` | `doValidateCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when the Validate Check command is received.
    `java.lang.String` | `getNamespace()` Gets the XML Namespace for the Mapping.
    `EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all registry commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all registry commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPValidateHandler

          public EPPValidateHandler()

      Whenever an EPPDomainVerificationCodeHandler instance is created load the corresponding Map Factory into the Codec

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the XML Namespace for the Mapping.
      Specified by:
        `getNamespace` in interface `EPPEventHandler`
      Returns:
        `EPPDomainVerificationCodeMapFactory.NS`

    - #### handleEvent

          public EPPEventResponse handleEvent(EPPEvent aEvent,
                                              java.lang.Object aData)
                                       throws EPPEventException

      This method receives an `EPPEvent` and routes it to the appropriate abstract method.
      Specified by:
        `handleEvent` in interface `EPPEventHandler`
      Parameters:
        `aEvent` - An `EPPEvent` that contains the `EPPCommand`
        `aData` - Any data that a Server needs to send to this `EPPDomainVerificationCodeHandler` instance
      Returns:
        Response to the event
      Throws:
        `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

    - #### doValidateCheck

          protected abstract EPPEventResponse doValidateCheck(EPPEvent aEvent,
                                                              java.lang.Object aData)

      Invoked when the Validate Check command is received. Subclasses should define the behavior when a Validate Check command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPValidateHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all registry commands need to execute before they execute their command specific behavior. The default implementation does nothing.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainVerificationCodeHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all registry commands need to execute after they execute their command specific behavior. The default implementation does nothing
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainVerificationCodeHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

Copyright © VeriSign Inc. All Rights Reserved.